package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;
import javax.persistence.CascadeType;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class GawatDaruratVO extends BaseTransactionVO{
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "Object AntrianPasien Di Periksa")
	private AntrianPasienDiPeriksaVO antrianPasienDiPeriksa;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "skalaNyeri")
	private SkalaNyeriVO skalaNyeri;
	
	@Caption(value = "skorNyeri")
	private Integer skorNyeri;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "Jenis Nyeri")
	private JenisNyeriVO jenisNyeri;
	
	@Caption(value = "lokasi")
	private String lokasi;
	
	@Caption(value = "durasi")
	private String durasi;
	
	@Caption(value = "pencetus")
	private String pencetus;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "Object Status Pasien")
	private DeathOnArrivalVO statusPasien;

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "Object Tanda Kehidupan")
	private TandaKehidupanVO tandaKehidupan;

	@Caption(value = "jam Penentuan Kematian")
	private String jamPenentuanKematian;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "Object Psikologis")
	private PsikologisVO psikologis;

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "Object Resiko Jatuh")
	private ResikoJatuhVO resikoJatuh;
	
	@Caption(value = "skorResikoJatuh")
	private Integer skorResikoJatuh;
	
	@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="gawatDarurat")
	private Set<MapStatusImageToGawatDaruratVO> statusGambar = new HashSet<>();
	
	@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="gawatDarurat")
	private Set<MapStatusKeputusanToGawatDaruratVO> diputuskan = new HashSet<>();
	
	@ManyToOne(fetch=FetchType.LAZY)
	private DiagnosisKeperawatanVO diagnosaKeperawatan;
	
	@Caption(value = "isapLendir")
	private String isapLendir;
	
	@Caption(value = "pasangOroPharsingAirway")
	private String pasangOroPharsingAirway;
	
	@Caption(value = "aturPosisi1")
	private String aturPosisi1;
	
	@Caption(value = "aturPosisi2")
	private String aturPosisi2;
	
	@Caption(value = "monitorIntakeOutput")
	private String monitorIntakeOutput;
	
	@Caption(value = "monitorTtvdanSp021")
	private String monitorTtvdanSp021;
	
	@Caption(value = "monitorTtvdanSp022")
	private String monitorTtvdanSp022;
	
	@Caption(value = "berikanOksigen1")
	private String berikanOksigen1;

	@Caption(value = "berikanOksigen2")
	private String berikanOksigen2;
	
	@Caption(value = "pasangInfus1")
	private String pasangInfus1;

	@Caption(value = "pasangInfus2")
	private String pasangInfus2;
	
	@Caption(value = "pasangEtt1")
	private String pasangEtt1;
	
	@Caption(value = "pasangEtt2")
	private String pasangEtt2;
	
	@Caption(value = "defibrasi1")
	private String defibrasi1;

	@Caption(value = "defibrasi2")
	private String defibrasi2;
	
	@Caption(value = "pemeriksaanLaboratorium")
	private String pemeriksaanLaboratorium;
	
	@Caption(value = "pemberiObat")
	private String pemberiObat;
	
	@Caption(value = "lainnya")
	private String lainnya;
	
	@Caption(value = "skor")
	private String skor;

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "Ruangan Perawat")
	private RuangPerawatanIGDVO ruanganPerawat;
	
	private String statusPegawai;

	public AntrianPasienDiPeriksaVO getAntrianPasienDiPeriksa() {
		return antrianPasienDiPeriksa;
	}

	public void setAntrianPasienDiPeriksa(AntrianPasienDiPeriksaVO antrianPasienDiPeriksa) {
		this.antrianPasienDiPeriksa = antrianPasienDiPeriksa;
	}

	public SkalaNyeriVO getSkalaNyeri() {
		return skalaNyeri;
	}

	public void setSkalaNyeri(SkalaNyeriVO skalaNyeri) {
		this.skalaNyeri = skalaNyeri;
	}

	public Integer getSkorNyeri() {
		return skorNyeri;
	}

	public void setSkorNyeri(Integer skorNyeri) {
		this.skorNyeri = skorNyeri;
	}

	public JenisNyeriVO getJenisNyeri() {
		return jenisNyeri;
	}

	public void setJenisNyeri(JenisNyeriVO jenisNyeri) {
		this.jenisNyeri = jenisNyeri;
	}

	public String getLokasi() {
		return lokasi;
	}

	public void setLokasi(String lokasi) {
		this.lokasi = lokasi;
	}

	public String getDurasi() {
		return durasi;
	}

	public void setDurasi(String durasi) {
		this.durasi = durasi;
	}

	public String getPencetus() {
		return pencetus;
	}

	public void setPencetus(String pencetus) {
		this.pencetus = pencetus;
	}

	public DeathOnArrivalVO getStatusPasien() {
		return statusPasien;
	}

	public void setStatusPasien(DeathOnArrivalVO statusPasien) {
		this.statusPasien = statusPasien;
	}

	public TandaKehidupanVO getTandaKehidupan() {
		return tandaKehidupan;
	}

	public void setTandaKehidupan(TandaKehidupanVO tandaKehidupan) {
		this.tandaKehidupan = tandaKehidupan;
	}

	public String getJamPenentuanKematian() {
		return jamPenentuanKematian;
	}

	public void setJamPenentuanKematian(String jamPenentuanKematian) {
		this.jamPenentuanKematian = jamPenentuanKematian;
	}

	public PsikologisVO getPsikologis() {
		return psikologis;
	}

	public void setPsikologis(PsikologisVO psikologis) {
		this.psikologis = psikologis;
	}

	public ResikoJatuhVO getResikoJatuh() {
		return resikoJatuh;
	}

	public void setResikoJatuh(ResikoJatuhVO resikoJatuh) {
		this.resikoJatuh = resikoJatuh;
	}

	public Integer getSkorResikoJatuh() {
		return skorResikoJatuh;
	}

	public void setSkorResikoJatuh(Integer skorResikoJatuh) {
		this.skorResikoJatuh = skorResikoJatuh;
	}

	public Set<MapStatusImageToGawatDaruratVO> getStatusGambar() {
		return statusGambar;
	}

	public void setStatusGambar(Set<MapStatusImageToGawatDaruratVO> statusGambar) {
		this.statusGambar = statusGambar;
	}

	public Set<MapStatusKeputusanToGawatDaruratVO> getDiputuskan() {
		return diputuskan;
	}

	public void setDiputuskan(Set<MapStatusKeputusanToGawatDaruratVO> diputuskan) {
		this.diputuskan = diputuskan;
	}

	public DiagnosisKeperawatanVO getDiagnosaKeperawatan() {
		return diagnosaKeperawatan;
	}

	public void setDiagnosaKeperawatan(DiagnosisKeperawatanVO diagnosaKeperawatan) {
		this.diagnosaKeperawatan = diagnosaKeperawatan;
	}

	public String getIsapLendir() {
		return isapLendir;
	}

	public void setIsapLendir(String isapLendir) {
		this.isapLendir = isapLendir;
	}

	public String getPasangOroPharsingAirway() {
		return pasangOroPharsingAirway;
	}

	public void setPasangOroPharsingAirway(String pasangOroPharsingAirway) {
		this.pasangOroPharsingAirway = pasangOroPharsingAirway;
	}

	public String getAturPosisi1() {
		return aturPosisi1;
	}

	public void setAturPosisi1(String aturPosisi1) {
		this.aturPosisi1 = aturPosisi1;
	}

	public String getAturPosisi2() {
		return aturPosisi2;
	}

	public void setAturPosisi2(String aturPosisi2) {
		this.aturPosisi2 = aturPosisi2;
	}

	public String getMonitorIntakeOutput() {
		return monitorIntakeOutput;
	}

	public void setMonitorIntakeOutput(String monitorIntakeOutput) {
		this.monitorIntakeOutput = monitorIntakeOutput;
	}

	public String getMonitorTtvdanSp021() {
		return monitorTtvdanSp021;
	}

	public void setMonitorTtvdanSp021(String monitorTtvdanSp021) {
		this.monitorTtvdanSp021 = monitorTtvdanSp021;
	}

	public String getMonitorTtvdanSp022() {
		return monitorTtvdanSp022;
	}

	public void setMonitorTtvdanSp022(String monitorTtvdanSp022) {
		this.monitorTtvdanSp022 = monitorTtvdanSp022;
	}

	public String getBerikanOksigen1() {
		return berikanOksigen1;
	}

	public void setBerikanOksigen1(String berikanOksigen1) {
		this.berikanOksigen1 = berikanOksigen1;
	}

	public String getBerikanOksigen2() {
		return berikanOksigen2;
	}

	public void setBerikanOksigen2(String berikanOksigen2) {
		this.berikanOksigen2 = berikanOksigen2;
	}

	public String getPasangInfus1() {
		return pasangInfus1;
	}

	public void setPasangInfus1(String pasangInfus1) {
		this.pasangInfus1 = pasangInfus1;
	}

	public String getPasangInfus2() {
		return pasangInfus2;
	}

	public void setPasangInfus2(String pasangInfus2) {
		this.pasangInfus2 = pasangInfus2;
	}

	public String getPasangEtt1() {
		return pasangEtt1;
	}

	public void setPasangEtt1(String pasangEtt1) {
		this.pasangEtt1 = pasangEtt1;
	}

	public String getPasangEtt2() {
		return pasangEtt2;
	}

	public void setPasangEtt2(String pasangEtt2) {
		this.pasangEtt2 = pasangEtt2;
	}

	public String getDefibrasi1() {
		return defibrasi1;
	}

	public void setDefibrasi1(String defibrasi1) {
		this.defibrasi1 = defibrasi1;
	}

	public String getDefibrasi2() {
		return defibrasi2;
	}

	public void setDefibrasi2(String defibrasi2) {
		this.defibrasi2 = defibrasi2;
	}

	public String getPemeriksaanLaboratorium() {
		return pemeriksaanLaboratorium;
	}

	public void setPemeriksaanLaboratorium(String pemeriksaanLaboratorium) {
		this.pemeriksaanLaboratorium = pemeriksaanLaboratorium;
	}

	public String getPemberiObat() {
		return pemberiObat;
	}

	public void setPemberiObat(String pemberiObat) {
		this.pemberiObat = pemberiObat;
	}

	public String getLainnya() {
		return lainnya;
	}

	public void setLainnya(String lainnya) {
		this.lainnya = lainnya;
	}

	public String getSkor() {
		return skor;
	}

	public void setSkor(String skor) {
		this.skor = skor;
	}

	public RuangPerawatanIGDVO getRuanganPerawat() {
		return ruanganPerawat;
	}

	public void setRuanganPerawat(RuangPerawatanIGDVO ruanganPerawat) {
		this.ruanganPerawat = ruanganPerawat;
	}

	public String getStatusPegawai() {
		return statusPegawai;
	}

	public void setStatusPegawai(String statusPegawai) {
		this.statusPegawai = statusPegawai;
	}
	
}
